## gmp-ecm 5.0.3

=== Makefile ===
# Makefile for gmp-ecm
#
# Copyright 2001, 2002, 2003 Paul Zimmermann and Alexander Kruppa.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; see the file COPYING.  If not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# directory where GMP is installed
# gmp.h should be in $(GMP)/include
# libgmp.a/libgmp.so should be in $(GMP)/lib
GMP=/usr/local

# directory where NTL is installed
# ZZ_pX.h and version.h should be in $(NTL)/include/NTL
# libntl.a should be in $(NTL)/lib
NTL=/usr/local

VERSION=5.0.3

###################### do not edit below this line ############################

OBJS= auxi.o bestd.o ecm.o ecm2.o getprime.o listz.o lucas.o main.o pm1.o pp1.o stage2.o toomcook.o memory.o mpmod.o mul_lo.o polyeval.o resume.o

CFLAGS= -O2 -g -W -Wall -Wmissing-prototypes
LDFLAGS= -static -lgmp -lm
CXX=gcc
CC=gcc
LD=$(CXX)
EXTRAOBJS=
ALLOBJS= $(OBJS) $(EXTRAOBJS)
POLYGCD=0

DIST=  auxi.c bestd.c ecm.c ecm2.c getprime.c listz.c lucas.c main.c ntl.c pm1.c polyz.c pp1.c stage2.c toomcook.c memory.c mpmod.c mul_lo.c polyeval.c resume.c
EXTRADIST= COPYING INSTALL Makefile README ecm.h test.pm1 test.pp1 test.ecm tune.c c155 ecm-gmp.h ChangeLog

.SUFFIXES: .c .o

ecm: $(ALLOBJS) ecm.h ecm-gmp.h
	$(LD) -L$(GMP)/lib $(ALLOBJS) -o $@ $(LDFLAGS)

ecm_with_ntl:
	make ecm GMP=$(GMP) NTL=$(NTL) CXX=g++ EXTRAOBJS="ntl.o polyz.o" LDFLAGS="-L$(NTL)/lib -lntl $(LDFLAGS)" CFLAGS="$(CFLAGS) -DPOLYGCD"

tune: mpmod.o ecm.h tune.o auxi.o mul_lo.o ecm-gmp.h
	$(CC) $(CFLAGS) -L$(GMP)/lib tune.o mpmod.o auxi.o mul_lo.o -o $@ -lgmp

ntl.o: ntl.c
	$(CXX) $(CFLAGS) -c -I$(GMP)/include -I$(NTL)/include $<

.c.o: ecm.h ecm-gmp.h
	$(CXX) $(CFLAGS) -I$(GMP)/include -c $<

clean:
	rm -f ecm $(OBJS)

dist: $(DIST)
	mkdir ecm-$(VERSION)
	cp $(DIST) $(EXTRADIST) ecm-$(VERSION)
	tar cf ecm-$(VERSION).tar ecm-$(VERSION)
	/bin/rm -fr ecm-$(VERSION)
	gzip --best ecm-$(VERSION).tar

## gmp-ecm 6.3

=== debian/changelog ===
gmp-ecm (6.3-5ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - Remove build-depend on gcc-4.3.
    - Dropped changes (merged with Debian):
      + Explicitly configure with --disable-sse2.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Thu, 23 Dec 2010 08:51:11 +0300

gmp-ecm (6.3-5) unstable; urgency=low

  * Disable SSE2 on i386, patch by Matthias Klose (closes: #607686).

 -- Laurent Fousse <laurent@komite.net>  Tue, 21 Dec 2010 11:27:40 +0100

gmp-ecm (6.3-4ubuntu2) natty; urgency=low

  * Explicitly configure with --disable-sse2.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Dec 2010 20:01:36 +0100

gmp-ecm (6.3-4ubuntu1) natty; urgency=low

  * Remove build-depend on gcc-4.3 as it shall soon be removed from the
    Ubuntu repository. Moreover, Ubuntu no longer supports the SPARC arch
    for which this change was made in Debian.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Tue, 30 Nov 2010 14:45:25 +0300

gmp-ecm (6.3-4) unstable; urgency=low

  * Use gcc-4.3 on sparc as 4.4 causes build failure (closes: #593193).
  * Explicitly disable assert (default=yes was upstream's mistake).

 -- Laurent Fousse <laurent@komite.net>  Wed, 01 Sep 2010 11:21:25 +0200

gmp-ecm (6.3-3) unstable; urgency=low

  * Add build depends on m4 for {kfreebsd-,}amd64 (closes: #593021).

 -- Laurent Fousse <laurent@komite.net>  Mon, 16 Aug 2010 11:02:54 +0200

gmp-ecm (6.3-2) unstable; urgency=low

  * Disable assembly on mips.

 -- Laurent Fousse <laurent@komite.net>  Sat, 14 Aug 2010 10:13:15 +0200

gmp-ecm (6.3-1) unstable; urgency=low

  * New upstream version.
  * Switch to dpkg-source 3.0 (quilt) format.
  * DH_COMPAT upgraded to 7.
  * Link libecm0 against libgmp.
  * Upgraded Standards-Version to 3.9.1:
    + support parallel build
  * Conflict with ecm (closes: #580398).

 -- Laurent Fousse <laurent@komite.net>  Fri, 13 Aug 2010 17:15:20 +0200

gmp-ecm (6.2-1) unstable; urgency=low

  * New Upstream Version
  * Fix build failure caused by longlong.h on some architecture,
    patch from upstream r1298 (closes: #483161).

 -- Laurent Fousse <laurent@komite.net>  Wed, 28 May 2008 10:39:04 +0200

gmp-ecm (6.2~rc2-1) unstable; urgency=low

  * New Upstream release candidate.
  * New package libecm0 for dynamic lib (closes: #474083).

 -- Laurent Fousse <laurent@komite.net>  Thu, 15 May 2008 13:17:14 +0200

gmp-ecm (6.1.3-1) unstable; urgency=low

  * New upstream version.
  * Ship the static library in the new libecm-dev package (closes: #464959).
  * Upgraded Standards-Version to 3.7.3, no change needed.
  * Add Homepage field in control.

 -- Laurent Fousse <laurent@komite.net>  Tue, 12 Feb 2008 10:14:02 +0100

gmp-ecm (6.1.2-1) unstable; urgency=low

  * New Upstream Version (closes: #434026).

 -- Laurent Fousse <laurent@komite.net>  Sat, 21 Jul 2007 11:39:43 +0200

gmp-ecm (6.1.1-4) unstable; urgency=low

  * Disable assembly on hppa as well (closes: #379006).

 -- Laurent Fousse <laurent@komite.net>  Mon, 31 Jul 2006 12:29:51 +0200

gmp-ecm (6.1.1-3) unstable; urgency=low

  * The build failure on s390 is of a more complicated nature,
    disable assembly completely until someone fixes it.

 -- Laurent Fousse <laurent@komite.net>  Thu, 20 Jul 2006 13:58:34 +0200

gmp-ecm (6.1.1-2) unstable; urgency=low

  * Define types before inclusion of longlong.h, fixes build
    failure on s390.

 -- Laurent Fousse <laurent@komite.net>  Thu, 20 Jul 2006 10:31:17 +0200

gmp-ecm (6.1.1-1) unstable; urgency=low

  * New upstream release
  * Change debian/copyright to point to new download page.
  * Upgraded Standards-Version to 3.7.2, no change needed.

 -- Laurent Fousse <laurent@komite.net>  Wed, 19 Jul 2006 21:50:56 +0200

gmp-ecm (6.0.1-2) unstable; urgency=low

  * Updated Standards-Version to 3.6.2 (no change needed).
  * Rebuild needed because of GMP C++ transition (closes: #326196).

 -- Laurent Fousse <laurent@komite.net>  Sun,  4 Sep 2005 10:40:16 +0200

gmp-ecm (6.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Laurent Fousse <laurent@komite.net>  Fri,  1 Apr 2005 15:02:22 +0200

gmp-ecm (6.0-2) unstable; urgency=low

  * Applied upstream patches 04 through 08, fixes misc bugs including
    potential segfault.

 -- Laurent Fousse <laurent@komite.net>  Fri, 11 Mar 2005 10:37:00 +0100

gmp-ecm (6.0-1) unstable; urgency=low

  * New upstream release, repackaged since upstream switched to autotools.
  * Applied upstream patch 02, fixes linking problem.
  * Applied upstream patch 03, fixes segfault.
  * Backported test.ecm from CVS, makes tests a lot faster.
  * Add manpage link gmp-ecm(1).
  * Changed to Standards-Version 3.6.1 (no change needed).

 -- Laurent Fousse <laurent@komite.net>  Mon, 28 Feb 2005 16:02:28 +0100

gmp-ecm (5.0.3-3) unstable; urgency=low

  * Fix typo in manpage, thanks Bill Allombert (closes: #254255).

 -- Laurent Fousse <laurent@komite.net>  Thu, 24 Jun 2004 15:18:15 +0200

gmp-ecm (5.0.3-2) unstable; urgency=low

  * Fixed debian/rules, "test" target no longer called twice.
  * Updated to newer Cunningham numbers input list.

 -- Laurent Fousse <laurent@komite.net>  Mon, 26 Jan 2004 13:33:03 +0100

gmp-ecm (5.0.3-1) unstable; urgency=low

  * New upstream release.
  * "test" target added in debian/rules and called at build time.
  * License for two files is LGPL, not GPL.
  * Watch file removed as it is not applicable anymore.

 -- Laurent Fousse <laurent@komite.net>  Sun,  9 Nov 2003 13:10:49 +0100

gmp-ecm (5.0.1-3) unstable; urgency=low

  * Added upstream patch that checks mallocs (closes: #197444).
  * Updated Standards-Version to 3.6.0.

 -- Laurent Fousse <laurent@komite.net>  Sun, 14 Sep 2003 17:26:43 +0200

gmp-ecm (5.0.1-2) unstable; urgency=low

  * Updated manpage. Closes: #197443

 -- Laurent Fousse <laurent@komite.net>  Mon, 16 Jun 2003 08:07:29 +0000

gmp-ecm (5.0.1-1) unstable; urgency=low

  * Initial Release. Closes: #180191

 -- Laurent Fousse <laurent@komite.net>  Sun, 25 May 2003 09:54:44 +0000

=== debian/control ===
Source: gmp-ecm
Section: math
Priority: optional
Homepage: http://ecm.gforge.inria.fr/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laurent Fousse <laurent@komite.net>
Build-Depends: debhelper (>= 7.0.0) , libgmp3-dev, m4 [amd64 kfreebsd-amd64]
Standards-Version: 3.9.1

Package: gmp-ecm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: ecm
Description: Factor integers using the Elliptic Curve Method
 gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
 for integer factorization.
 .
 The original purpose of the ECMNET project was to make Richard Brent's
 prediction true, i.e. to find a factor of 50 digits or more by
 ECM. This goal was attained on September 14, 1998, when Conrad Curry
 found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
 program. The new goal of ECMNET is now to find other large factors by
 ecm, mainly by contributing to the Cunningham project, most likely the
 longest, ongoing computational project in history according to Bob
 Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
 found in December 1999 a prime factor of 54 digits using GMP-ECM.
 .
 See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
 information about ecmnet.

Package: libecm0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Factor integers using the Elliptic Curve Method (library)
 gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
 for integer factorization.
 .
 The original purpose of the ECMNET project was to make Richard Brent's
 prediction true, i.e. to find a factor of 50 digits or more by
 ECM. This goal was attained on September 14, 1998, when Conrad Curry
 found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
 program. The new goal of ECMNET is now to find other large factors by
 ecm, mainly by contributing to the Cunningham project, most likely the
 longest, ongoing computational project in history according to Bob
 Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
 found in December 1999 a prime factor of 54 digits using GMP-ECM.
 .
 See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
 information about ecmnet.
 .
 This package provides the shared library.

Package: libecm-dev
Architecture: any
Section: libdevel
Depends: libgmp3-dev (>= 4.2.dfsg-1), libecm0 (= ${binary:Version}), ${misc:Depends}
Description: Factor integers using the Elliptic Curve Method (library)
 gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
 for integer factorization.
 .
 The original purpose of the ECMNET project was to make Richard Brent's
 prediction true, i.e. to find a factor of 50 digits or more by
 ECM. This goal was attained on September 14, 1998, when Conrad Curry
 found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
 program. The new goal of ECMNET is now to find other large factors by
 ecm, mainly by contributing to the Cunningham project, most likely the
 longest, ongoing computational project in history according to Bob
 Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
 found in December 1999 a prime factor of 54 digits using GMP-ECM.
 .
 See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
 information about ecmnet.
 .
 This package provides the static library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

with_check := yes
ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
        with_check := disabled through DEB_BUILD_OPTIONS
endif

NJOBS =
# Support parallel=<n> in DEB_BUILD_OPTIONS
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  COMMA = ,
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)


CFLAGS = -Wall -g
MYCC=""

ifneq (,$(findstring sparc,$(DEB_BUILD_GNU_TYPE)))
	MYCC="CC=gcc-4.3"
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq ($(DEB_HOST_ARCH),i386)
  config_opts = --disable-sse2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-shared --disable-assert $(MYCC) $(config_opts)


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) $(NJOBS)
ifeq ($(with_check),yes)
  ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	$(MAKE) $(NJOBS) check
  endif
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	# Add here commands to install the package into debian/gmp-ecm.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	cp ecm.1 debian/tmp/usr/share/man/man1

	dh_install -s -i --sourcedir=debian/tmp
	dh_makeshlibs -v -plibecm0


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_strip
	dh_compress
	dh_link -p gmp-ecm usr/share/man/man1/ecm.1.gz usr/share/man/man1/gmp-ecm.1.gz
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gmp-ecm 6.4

=== debian/changelog ===
gmp-ecm (6.4-1) unstable; urgency=low

  * New upstream release.
  * Drop most patches, already applied upstream.

 -- Laurent Fousse <lfousse@debian.org>  Wed, 29 Feb 2012 19:51:51 -0800

gmp-ecm (6.3-11) unstable; urgency=low

  * Fix SSE2-related FTBFS, thanks Michael Terry for the patch
    (closes: #650545).

 -- Laurent Fousse <lfousse@debian.org>  Sat, 03 Dec 2011 14:12:50 +0100

gmp-ecm (6.3-10) unstable; urgency=low

  * Use the same compiler on all archs.

 -- Laurent Fousse <lfousse@debian.org>  Wed, 28 Sep 2011 08:35:34 +0200

gmp-ecm (6.3-9) unstable; urgency=low

  * Don't build-depend on non-existent packages.

 -- Laurent Fousse <lfousse@debian.org>  Tue, 27 Sep 2011 20:22:38 +0200

gmp-ecm (6.3-8) unstable; urgency=low

  * Properly convert to quilt format (closes: #643134).
  * Upgrade dependency on debhelper.

 -- Laurent Fousse <lfousse@debian.org>  Tue, 27 Sep 2011 00:01:06 +0200

gmp-ecm (6.3-7) unstable; urgency=low

  * Fix dependencies on libgmp-dev (closes: #617207).

 -- Laurent Fousse <lfousse@debian.org>  Tue, 08 Mar 2011 16:16:45 +0100

gmp-ecm (6.3-6) unstable; urgency=low

  * Update build-depends to libgmp-dev (closes: #617207).
  * Modify my email address.

 -- Laurent Fousse <lfousse@debian.org>  Mon, 07 Mar 2011 15:11:45 +0100

## gmp-ecm 6.4.1~rc3

=== build.vc10/bench_mulredc/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# build.vc10/bench_mulredc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/ecm
pkgincludedir = $(includedir)/ecm
pkglibdir = $(libdir)/ecm
pkglibexecdir = $(libexecdir)/ecm
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = build.vc10/bench_mulredc
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /users/caramel/zimmerma/svn/ecm/missing --run aclocal-1.11
ALLOCA = 
AMTAR = ${SHELL} /users/caramel/zimmerma/svn/ecm/missing --run tar
AR = ar
ASMPATH = x86_64
AUTOCONF = ${SHELL} /users/caramel/zimmerma/svn/ecm/missing --run autoconf
AUTOHEADER = ${SHELL} /users/caramel/zimmerma/svn/ecm/missing --run autoheader
AUTOMAKE = ${SHELL} /users/caramel/zimmerma/svn/ecm/missing --run automake-1.11
AWK = gawk
CC = gcc -std=gnu99
CCAS = gcc -std=gnu99
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -O2 -m64 -march=k8 -mtune=k8
CCDEPMODE = depmode=gcc3
CFLAGS = -W -Wall -Wundef -pedantic -O2 -m64 -march=k8 -mtune=k8
CPP = gcc -std=gnu99 -E
CPPFLAGS = -I/users/caramel/logiciels/mpir-2.5.1/x86_64/include -I/users/caramel/logiciels/mpir-2.5.1/x86_64/include
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GMPLIB = /users/caramel/logiciels/mpir-2.5.1/x86_64/lib/libgmp.a
GREP = /bin/grep
GSL_LD_FLAGS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  
LIBOBJS = 
LIBS = -lm -lm -lm -lm -lm  
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
M4 = m4
MAKEINFO = ${SHELL} /users/caramel/zimmerma/svn/ecm/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPENMP_CFLAGS = 
OTOOL = 
OTOOL64 = 
PACKAGE = ecm
PACKAGE_BUGREPORT = ecm-discuss@lists.gforge.inria.fr
PACKAGE_NAME = ecm
PACKAGE_STRING = ecm 6.4.1-rc3
PACKAGE_TARNAME = ecm
PACKAGE_URL = 
PACKAGE_VERSION = 6.4.1-rc3
PATH_SEPARATOR = :
POW_LIB = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VALGRIND = valgrind -q --error-exitcode=1
VERSION = 6.4.1-rc3
XSLDIR = /usr/share/sgml/docbook/xsl-stylesheets-1.68.1-1.1
XSLTPROC = 
abs_builddir = /users/caramel/zimmerma/svn/ecm/build.vc10/bench_mulredc
abs_srcdir = /users/caramel/zimmerma/svn/ecm/build.vc10/bench_mulredc
abs_top_builddir = /users/caramel/zimmerma/svn/ecm
abs_top_srcdir = /users/caramel/zimmerma/svn/ecm
ac_ct_AR = ar
ac_ct_CC = gcc -std=gnu99
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /users/caramel/zimmerma/svn/ecm/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
EXTRA_DIST = bench_mulredc.vcxproj bench_mulredc.vcxproj.filters
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu build.vc10/bench_mulredc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu build.vc10/bench_mulredc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
gmp-ecm (6.4.1~rc3-1) experimental; urgency=low

  * New upstream release candidate.

 -- Laurent Fousse <lfousse@debian.org>  Wed, 14 Mar 2012 19:06:43 -0700

gmp-ecm (6.4.1~rc2e-1) experimental; urgency=low

  * New upstream release candidate.

 -- Laurent Fousse <lfousse@debian.org>  Tue, 13 Mar 2012 20:18:21 -0700

gmp-ecm (6.4.1~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Laurent Fousse <lfousse@debian.org>  Sun, 11 Mar 2012 11:24:28 -0700

## gmp-ecm 6.4.2

=== build.vc10/bench_mulredc/Makefile ===
--- 
+++ 
@@ -108,10 +108,10 @@
 PACKAGE = ecm
 PACKAGE_BUGREPORT = ecm-discuss@lists.gforge.inria.fr
 PACKAGE_NAME = ecm
-PACKAGE_STRING = ecm 6.4.1-rc3
+PACKAGE_STRING = ecm 6.4.2
 PACKAGE_TARNAME = ecm
 PACKAGE_URL = 
-PACKAGE_VERSION = 6.4.1-rc3
+PACKAGE_VERSION = 6.4.2
 PATH_SEPARATOR = :
 POW_LIB = 
 RANLIB = ranlib
@@ -120,7 +120,7 @@
 SHELL = /bin/bash
 STRIP = strip
 VALGRIND = valgrind -q --error-exitcode=1
-VERSION = 6.4.1-rc3
+VERSION = 6.4.2
 XSLDIR = /usr/share/sgml/docbook/xsl-stylesheets-1.68.1-1.1
 XSLTPROC = 
 abs_builddir = /users/caramel/zimmerma/svn/ecm/build.vc10/bench_mulredc

=== debian/changelog ===
gmp-ecm (6.4.2-2) unstable; urgency=low

  * Only break and replace the Error Code Modeler package from Debian
    6.0 (squeeze) that contains its own ecm command, instead of
    conflicting with all versions (patch by Jonathan Nieder)
    Closes: #690276.

 -- Laurent Fousse <lfousse@debian.org>  Mon, 31 Dec 2012 16:28:39 -0800

gmp-ecm (6.4.2-1) unstable; urgency=low

  * New upstream release:
    + Licenses are now GPL3+ or LGPL3+ depending on the files.

 -- Laurent Fousse <lfousse@debian.org>  Sat, 24 Mar 2012 21:03:04 -0700

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: math
 Priority: optional
 Homepage: http://ecm.gforge.inria.fr/
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laurent Fousse <laurent@komite.net>
-Build-Depends: debhelper (>= 7.0.0) , libgmp3-dev, m4 [amd64 kfreebsd-amd64]
+Maintainer: Laurent Fousse <lfousse@debian.org>
+Build-Depends: debhelper (>= 7.0.50) , libgmp10-dev, m4 [amd64 kfreebsd-amd64]
 Standards-Version: 3.9.1
 
 Package: gmp-ecm
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: ecm
+Breaks: ecm (<< 1.00-2)
+Replaces: ecm (<< 1.00-2)
 Description: Factor integers using the Elliptic Curve Method
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
  for integer factorization.
@@ -54,7 +54,7 @@
 Package: libecm-dev
 Architecture: any
 Section: libdevel
-Depends: libgmp3-dev (>= 4.2.dfsg-1), libecm0 (= ${binary:Version}), ${misc:Depends}
+Depends: libgmp10-dev, libecm0 (= ${binary:Version}), ${misc:Depends}
 Description: Factor integers using the Elliptic Curve Method (library)
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
  for integer factorization.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -a -- --enable-shared

## gmp-ecm 6.4.4

=== debian/changelog ===
gmp-ecm (6.4.4-2) unstable; urgency=low

  * Apply patch by Logan Rosen to fix FTBFS on ppc64el (closes: #735986).

 -- Laurent Fousse <lfousse@debian.org>  Sun, 09 Feb 2014 13:18:23 -0800

gmp-ecm (6.4.4-1) unstable; urgency=low

  * New upstream release.
    + Fixes build with latest GMP (closes: #713399).

 -- Laurent Fousse <lfousse@debian.org>  Sat, 13 Jul 2013 22:33:00 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: http://ecm.gforge.inria.fr/
 Maintainer: Laurent Fousse <lfousse@debian.org>
-Build-Depends: debhelper (>= 7.0.50) , libgmp10-dev, m4 [amd64 kfreebsd-amd64]
+Build-Depends: debhelper (>= 7.0.50) , libgmp10-dev, m4 [amd64 kfreebsd-amd64], dh-autoreconf
 Standards-Version: 3.9.1
 
 Package: gmp-ecm

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -a -- --enable-shared

=== debian/watch ===
version=3
https://gforge.inria.fr/frs/?group_id=135   https://gforge.inria.fr/frs/download.php/.*/ecm-(.+).tar.gz

## gmp-ecm 6.4.4+ds

=== debian/changelog ===
gmp-ecm (6.4.4+ds-5) unstable; urgency=medium

  * FTBFS bug fix release (Closes: #806619):
  * Debianization:
    - arch/indep build scheme, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Nov 2015 21:31:59 +0000

gmp-ecm (6.4.4+ds-4) unstable; urgency=medium

  * bug fix release (Closes: #804408):
    - neutralize valgrind check for autopkgtest d/t/make-longcheck .
  * Debianization:
    - debian/control, Vcs-Browser field correction;
    - debian/libecm0.lintian-overrides, typo correction.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Nov 2015 19:13:55 +0000

gmp-ecm (6.4.4+ds-3) unstable; urgency=medium

  * RC bug fix release:
    - RC bug fix (Closes: #793012), faulty assembly code on mips[el] arch
      --- thanks to Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>
      for providing the patch;
    - RC bug fix (Closes: #792850), linking misbehaviour when upgrading from
      testing to unstable -- thanks to Andreas Beckmann <anbe@debian.org> for
      noticing the issue.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 21 Oct 2015 04:05:14 +0000

gmp-ecm (6.4.4+ds-2) unstable; urgency=medium

  * RC bug fix release (Closes: #792549), stabilize libdev transition.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 16 Jul 2015 16:07:37 +0000

gmp-ecm (6.4.4+ds-1) unstable; urgency=medium

  * New maintainer (Closes: #771880).
  * Debianization:
    - debian/copyright:
      - in DEP-5 format, bump;
      - Files-Excluded field, introduce;
      - refresh;
    - debian/control:
      - debhelper build-dep to >= 9, bump;
      - Standards Version 3.9.6, bump;
      - Build-Depends field, refresh;
      - Multi-Arch support, achieve;
      - Vcs-* headers, refresh;
    - debian/watch, refresh;
    - debian/rules:
      - full dh integration, refresh;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it wrt Files-Excluded;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
    - debian/patches/:
      - patches in DEP-3 format;
      - autotoolization:
        - configure.ac, refresh;
        - master Makefile.am, mark the shared library as not requiring
          executable stack;
      - examples, aka ecmfactor.c, system wide #include;
    - debian/tests/:
      - in DEP-8 format, initiate;
      - simple build test based on examples, introduce;
      - heavy test based on the upstream longcheck ($ make long check),
        introduce;
    - debian/adhoc/examples/:
      - illustrative Makefile, provide;
    - gpg-signature check support, neutralize.
  * This upstream release closes LP: #1294929.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 30 Jun 2015 11:49:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,25 @@
 Source: gmp-ecm
 Section: math
 Priority: optional
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jerome Benoit <calculus@rezozer.net>
+Build-Depends:
+ debhelper (>= 9),
+ autotools-dev, gnulib, m4 [amd64 kfreebsd-amd64], dh-autoreconf, libtool,
+ libgmp-dev (>= 2:6.0)
+Build-Depends-Indep:
+Standards-Version: 3.9.6
 Homepage: http://ecm.gforge.inria.fr/
-Maintainer: Laurent Fousse <lfousse@debian.org>
-Build-Depends: debhelper (>= 7.0.50) , libgmp10-dev, m4 [amd64 kfreebsd-amd64], dh-autoreconf
-Standards-Version: 3.9.1
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/gmp-ecm.git
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/gmp-ecm.git
 
 Package: gmp-ecm
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: ecm (<< 1.00-2)
 Replaces: ecm (<< 1.00-2)
+Multi-Arch: foreign
 Description: Factor integers using the Elliptic Curve Method
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
  for integer factorization.
@@ -27,12 +36,19 @@
  .
  See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
  information about ecmnet.
+ .
+ This package provides the command line utility.
 
 Package: libecm0
+Provides: libecm
+Section: libs
 Architecture: any
-Section: libs
+Conflicts: libecm
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Factor integers using the Elliptic Curve Method (library)
+Recommends: gmp-ecm (=${binary:Version})
+Multi-Arch: same
+Description: factor integers using the Elliptic Curve Method -- lib
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
  for integer factorization.
  .
@@ -51,11 +67,18 @@
  .
  This package provides the shared library.
 
-Package: libecm-dev
+Package: libecm0-dev
+Provides: libecm-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
-Depends: libgmp10-dev, libecm0 (= ${binary:Version}), ${misc:Depends}
-Description: Factor integers using the Elliptic Curve Method (library)
+Replaces: libecm-dev (<= 6.4.4-2)
+Conflicts: libecm-dev (<= 6.4.4-2)
+#Conflicts: libecm-dev
+Depends:
+ libecm0 (= ${binary:Version}), libecm0-dev-common (= ${source:Version}),
+ libgmp-dev, ${misc:Depends}
+Multi-Arch: same
+Description: factor integers using the Elliptic Curve Method -- libdev
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
  for integer factorization.
  .
@@ -72,4 +95,70 @@
  See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
  information about ecmnet.
  .
- This package provides the static library.
+ This package provides the static library and symbolic links needed
+ for development.
+
+Package: libecm0-dev-common
+Provides: libecm-dev-common
+Section: libdevel
+Architecture: all
+Replaces: libecm-dev (<= 6.4.4-2)
+Conflicts: libecm-dev (<= 6.4.4-2), libecm-dev-common
+Depends: ${misc:Depends}
+Recommends: libecm0-dev (=${binary:Version})
+Multi-Arch: foreign
+Description: factor integers using the Elliptic Curve Method -- header
+ gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
+ for integer factorization.
+ .
+ The original purpose of the ECMNET project was to make Richard Brent's
+ prediction true, i.e. to find a factor of 50 digits or more by
+ ECM. This goal was attained on September 14, 1998, when Conrad Curry
+ found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
+ program. The new goal of ECMNET is now to find other large factors by
+ ecm, mainly by contributing to the Cunningham project, most likely the
+ longest, ongoing computational project in history according to Bob
+ Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
+ found in December 1999 a prime factor of 54 digits using GMP-ECM.
+ .
+ See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
+ information about ecmnet.
+ .
+ This package provides the header needed by developers.
+
+Package: libecm0-dbg
+Provides: libecm-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Conflicts: libecm-dbg
+Depends: libecm0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: factor integers using the Elliptic Curve Method -- debug
+ gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
+ for integer factorization.
+ .
+ The original purpose of the ECMNET project was to make Richard Brent's
+ prediction true, i.e. to find a factor of 50 digits or more by
+ ECM. This goal was attained on September 14, 1998, when Conrad Curry
+ found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
+ program. The new goal of ECMNET is now to find other large factors by
+ ecm, mainly by contributing to the Cunningham project, most likely the
+ longest, ongoing computational project in history according to Bob
+ Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
+ found in December 1999 a prime factor of 54 digits using GMP-ECM.
+ .
+ See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
+ information about ecmnet.
+ .
+ This package provides the debugging symbols.
+
+Package: libecm-dev
+Section: oldlibs
+Priority: extra
+Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libecm0-dev (>= ${source:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with autoreconf --builddirectory=_build --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-maintainer-mode

override_dh_auto_build-indep:
	true

override_dh_auto_test-indep:
	true

override_dh_auto_install-indep:
	$(MAKE) -C _build install-data-am DESTDIR=$(CURDIR)/debian/tmp

override_dh_installdocs:
	dh_installdocs -plibecm0-dbg --link-doc=libecm0
	dh_installdocs -plibecm0-dev --link-doc=libecm0-dev-common
	dh_installdocs --remaining-packages

override_dh_compress-indep:
	dh_compress -Xexamples

override_dh_strip:
	dh_strip --dbg-package=libecm0-dbg

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose

=== debian/tests/control ===
Tests: build-examples
Depends: libecm0-dev, build-essential

Tests: make-longcheck
Depends: gmp-ecm, make, valgrind

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds//,repacksuffix=+ds,uversionmangle=s/-(rc\d*)$/~$1/ \
https://gforge.inria.fr/frs/?group_id=135 \
	(?:|.*/)ecm(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|tar\.bz2|tar\.gz)

## gmp-ecm 7.0+ds

=== debian/changelog ===
gmp-ecm (7.0+ds-1) unstable; urgency=medium

  * New major upstream release.
  * Debianization:
    - debian/control:
      - vcs-* fields, secure;
      - Standards-Version, dump to 3.9.7;
      - debug symbol package, drop off in favour of automatic generation;
      - SO name, increment;
    - debian/copyright, update;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
      - debug symbol package, drop off (see above);
      - refresh;
    - debian/watch, refresh;
    - debian/adhoc/examples/Makefile, refresh;
    - debian/tests:
      - d/t/make-longcheck, harden and update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Mar 2016 16:02:29 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  autotools-dev, gnulib, m4 [amd64 kfreebsd-amd64], dh-autoreconf, libtool,
  libgmp-dev (>= 2:6.0)
 Build-Depends-Indep:
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://ecm.gforge.inria.fr/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/gmp-ecm.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/gmp-ecm.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gmp-ecm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gmp-ecm.git
 
 Package: gmp-ecm
 Architecture: any
@@ -39,7 +39,7 @@
  .
  This package provides the command line utility.
 
-Package: libecm0
+Package: libecm1
 Provides: libecm
 Section: libs
 Architecture: any
@@ -67,7 +67,7 @@
  .
  This package provides the shared library.
 
-Package: libecm0-dev
+Package: libecm1-dev
 Provides: libecm-dev
 Section: libdevel
 Architecture: any
@@ -75,7 +75,7 @@
 Conflicts: libecm-dev (<= 6.4.4-2)
 #Conflicts: libecm-dev
 Depends:
- libecm0 (= ${binary:Version}), libecm0-dev-common (= ${source:Version}),
+ libecm1 (= ${binary:Version}), libecm1-dev-common (= ${source:Version}),
  libgmp-dev, ${misc:Depends}
 Multi-Arch: same
 Description: factor integers using the Elliptic Curve Method -- libdev
@@ -98,14 +98,14 @@
  This package provides the static library and symbolic links needed
  for development.
 
-Package: libecm0-dev-common
+Package: libecm1-dev-common
 Provides: libecm-dev-common
 Section: libdevel
 Architecture: all
 Replaces: libecm-dev (<= 6.4.4-2)
 Conflicts: libecm-dev (<= 6.4.4-2), libecm-dev-common
 Depends: ${misc:Depends}
-Recommends: libecm0-dev (=${binary:Version})
+Recommends: libecm1-dev (=${binary:Version})
 Multi-Arch: foreign
 Description: factor integers using the Elliptic Curve Method -- header
  gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
@@ -126,39 +126,12 @@
  .
  This package provides the header needed by developers.
 
-Package: libecm0-dbg
-Provides: libecm-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Conflicts: libecm-dbg
-Depends: libecm0 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: factor integers using the Elliptic Curve Method -- debug
- gmp-ecm is a free implementation of the Elliptic Curve Method (ECM)
- for integer factorization.
- .
- The original purpose of the ECMNET project was to make Richard Brent's
- prediction true, i.e. to find a factor of 50 digits or more by
- ECM. This goal was attained on September 14, 1998, when Conrad Curry
- found a 53-digit factor of 2^677-1 c150 using George Woltman's mprime
- program. The new goal of ECMNET is now to find other large factors by
- ecm, mainly by contributing to the Cunningham project, most likely the
- longest, ongoing computational project in history according to Bob
- Silverman. A new record was set by Nik Lygeros and Michel Mizony, who
- found in December 1999 a prime factor of 54 digits using GMP-ECM.
- .
- See http://www.loria.fr/~zimmerma/records/ecmnet.html for more
- information about ecmnet.
- .
- This package provides the debugging symbols.
-
 Package: libecm-dev
 Section: oldlibs
 Priority: extra
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libecm0-dev (>= ${source:Version}), ${misc:Depends}
+Depends: libecm1-dev (>= ${source:Version}), ${misc:Depends}
 Multi-Arch: foreign
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
